View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000356aMuleMiscpublic2005-04-07 13:112008-02-17 02:43
Reporterm2kio 
Assigned ToXaignar 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionwon't fix 
PlatformOSOS Version
Product VersionSVN 
Target VersionFixed in VersionSVN 
Summary0000356: GUI: after chunk completes it is not set to green for all
Descriptionin Downloads window, if the subtree of all sources for a certain file is opened:
if a chunk completes, it is only immediately set to green for the sending peer. but it is not immediately set to green in all other peers lists. (closing and reopening the subtree fixes it)
expected is, that this chunk changes to green in all peers lists at the same time.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000827)
Xaignar (manager)
2005-04-07 14:11

This happens because drawing of the progress bars are cached. Main bar for 5s and clientbars for 10s.
(0000828)
m2kio (reporter)
2005-04-07 15:21

negative. just tested. other peers' bars are not updated on their own. they are only updated on any other event that updates the (entire) list. these may be frequent (probably) if there is much dl activity or user induced (switching tabs, switching apps et.al.). until then they are not updated.
(0000829)
Xaignar (manager)
2005-04-07 16:43

Positive. The progress-bars are cached in the custom-drawing routines, but unless those functions are actually invoked (for instance by the source or list being refreshed), it will just stay as what was last drawn on the list, regardless of the fact that the cached value has gone invalid due to passed time.

The alternative would be to force updates at a set interval (wasteful) or implement a way for the remaining sources to be notified once a chunk has been completed.
(0002578)
Xaignar (manager)
2008-02-17 02:43

I'm marking this as "won't fix", as the issue is rather minor, and the solution would be either extremly wasteful or exceedingly complex.

- Issue History
Date Modified Username Field Change
2005-04-07 13:11 m2kio New Issue
2005-04-07 14:11 Xaignar Note Added: 0000827
2005-04-07 15:21 m2kio Note Added: 0000828
2005-04-07 16:43 Xaignar Note Added: 0000829
2005-04-26 18:36 Kry Status new => assigned
2005-04-26 18:36 Kry Assigned To => Xaignar
2008-02-17 02:43 Xaignar Status assigned => resolved
2008-02-17 02:43 Xaignar Fixed in Version => SVN
2008-02-17 02:43 Xaignar Resolution open => won't fix
2008-02-17 02:43 Xaignar Note Added: 0002578


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker